SWAPON(8)

NOM
swapon, swapoff - Activer/désactiver les périphériques et fichiers pour la pagination sur disque

SYNOPSIS
/sbin/swapon [-h -V]
/sbin/swapon -a [-v] [-e]
/sbin/swapon [-v] [-p priority] specialfile ...
/sbin/swapon [-s]
/sbin/swapoff [-h -V]
/sbin/swapoff -a
/sbin/swapoff specialfile ...

DESCRIPTION
swapon est utilisé pour spécifier les périphériques sur lesquels la pagination sur disque (Ndt : en anglais « swap » signifie échange) aura lieu. Les appels à swapon se produisent normalement dans le fichier d'initialisation du système multi-utilisateurs /etc/rc rendant tous les périphériques d'échange disponibles, de telle sorte que l'activité de pagination sur disque soit répartie sur plusieurs périphériques et fichiers. Normalement, la première forme (au démarrage du système) est utilisée :

-h  Afficher l'aide.

-V  Afficher le numéro de version.

-s  Afficher le résumé par périphérique de l'utilisation de la pagination sur disque. Cette option n'est disponible que si /proc/swaps existe (à partir du noyau 2.1.25).

-a  Tous les périphériques marqués « sw » (pour swap) dans /etc/fstab sont rendus disponibles pour la pagination sur disque. Les périphériques qui sont déjà utilisés en tant que tels sont silencieusement passés.

-e  Quand -a est utilisé avec swapon, -e fait que swapon ignore silencieusement les périphériques inexistants.

-p priority
    Spécifier la priorité de swapon. Cette option n'est disponible que si swapon a été compilé et est utilisé avec un noyau 1.3.2 ou plus récent. priority est un entier compris entre 0 et 32767. Voir swapon(2) pour une description complète des priorités de swapon. Ajoutez pri=valeur dans le champ option de /etc/fstab pour l'utiliser avec swapon -a.

swapoff désactive la pagination sur disque sur les périphériques spécifiés, ou sur toutes les entrées « swap » de /etc/fstab quand l'option -a est utilisée.

REMARQUE
Vous ne devriez pas utiliser swapon sur un fichier qui comporte des trous. La pagination par dessus NFS (Network File System) peut ne pas fonctionner.

FICHIERS
/dev/hd?? les périphériques standards de pagination sur disque
/dev/sd?? les périphériques standards (SCSI) de pagination sur disque
/etc/fstab table de description en ASCII des systèmes de fichiers

HISTORIQUE
La commande swapon est apparue pour la première fois dans BSD 4.0.

DISPONIBILITÉ
La commande arch fait partie du paquetage util-linux-ng et est disponible à l'adresse ftp://ftp.kernel.org/pub/linux/utils/util-linux-ng/.

VOIR AUSSI
swapon(2), swapoff(2), fstab(5), init(8), mkswap(8), rc(8), mount(8)

TRADUCTION
Ce document est une traduction réalisée par Sébastien Blanchet le 12 février 2002 et révisée le 26 mai 2008.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 1 swapon ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.